<app-template-page [titre]="'Edition utilisateur'" [visible]="false">
<ngb-toast header="Ajout d'utilisateur" class="bg-success text-light" *ngIf="success"
    (hidden)="goBackToList()" [delay]="2000">
    Modification réussie
  </ngb-toast>
  <ngb-toast header="Ajout d'utilisateur" class="bg-danger text-light" *ngIf="failure"
    (hidden)="failure = false">
    Echec de la modification: {{errorMessage}}
  </ngb-toast>

<form [formGroup]="formulaire" *ngIf="!updatePassword">
  <fieldset class="fieldset  m-5" [disabled]="failure || success">
    <legend>Formulaire edition utilisateur</legend>
    <div class="form-control m-3">
      <label>
        Nom de utilisateur :
        <input formControlName="username" type="text" [(ngModel)]="user.username">
      </label>
      <p class="text-secondary" *ngIf="formulaire.controls['username'].invalid">
        Le nom de l'utilisateur est requis, 3 à 15 caractères en alphanumérique.
        </p>
    </div>
    <div class="form-control m-3">
      <label>
        Email :
        <input formControlName="mail" type="mail" minlength="1" maxlength="255" [(ngModel)]="user.mail">
      </label>
      <p class="text-secondary" *ngIf="formulaire.controls['mail'].invalid">
        L'email est requis et doit contenir
        au moins 1 caractère et moins de 255 caractères et respecter le format mail ( exemple@exemple.fr).
        </p>
    </div>
    <div class="form-control m-3">
    <label>
     Role :
     <select formControlName="grants" [(ngModel)]="user.grants">
      <option value="USER" selected>USER</option>
      <option value="ADMIN">ADMIN</option>
    </select>
    </label>
  </div>
  </fieldset>

  <button class="btn btn-primary m-3" [disabled]="formulaire.invalid" [disabled]="setDisable" (click)="update()" >
    Valider
  </button>

  <button class="btn btn-primary m-3" [disabled]="setDisable" (click)="goToUpdatePassword()" >
    Modifier le mot de passe
  </button>
</form>

<form [formGroup]="formulairePassword" *ngIf="updatePassword">
  <fieldset class="fieldset  m-5" [disabled]="failure || success">
    <legend>Formulaire edition password</legend>
    <div class="form-control m-3">
      <label>
        Nouveau mot de passe :
        <input formControlName="password" type="text" minlength="5" maxlength="15" [(ngModel)]="user.password">
      </label>
      <p class="text-secondary" *ngIf="formulairePassword.controls['password'].invalid">
        Le mot de passe est requis, 5 à 15 caractères, au moins 1 majuscule, au moins 1 minuscule,
        au moins 1 chiffre.
      </p>
    </div>
  </fieldset>
  <button class="btn btn-primary m-3" [disabled]="formulairePassword.invalid" [disabled]="setDisable" (click)="updateUserPassword()" >
    Valider
  </button>

  <button class="btn btn-primary m-3" [disabled]="setDisable" (click)="goToUpdateUser()" >
    Modifier l'utilisateur
  </button>
</form>
</app-template-page>

